petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatCompositeSetType

Indicates if the matrix is defined as the sum of a set of matrices or the product

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCompositeSetType(Mat mat,MatCompositeType type)

Collective on MPI_Comm

### Input Parameters

mat -the composite matrix

### Notes

The MatType of the resulting matrix will be the same as the MatType of the FIRST matrix in the composite matrix.

### See Also

MatDestroy(), MatMult(), MatCompositeAddMat(), MatCreateComposite(), MATCOMPOSITE

Level:advanced
Location:src/mat/impls/composite/mcomposite.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex9.c.html